Skip to main content
`Ctrl`+`K`

# GenericFrame

class astropy.coordinates.GenericFrame(frame_attrs)

  Bases: `BaseCoordinateFrame`

  A frame object that can’t store data but can hold any arbitrary frame attributes. Mostly useful as a utility for the high-level class to store intermediate frame attributes.

  Parameters:
    frame_attrs `python:dict`

      A dictionary of attributes to be used as the frame attributes for this frame.

  Attributes Summary

  `default_differential` | Default representation for differential data (e.g., velocity)
  `default_representation` | Default representation for position data
  `frame_attributes` |
  `frame_specific_representation_info` | Mapping for frame-specific component names
  `name` |

  Attributes Documentation

  default_differential

    Default representation for differential data (e.g., velocity)

  default_representation

    Default representation for position data

  frame_attributes = {}
  frame_specific_representation_info

    Mapping for frame-specific component names

  name = None